Text.XHtml.Transitional

# Data types

data Html

data HtmlAttr

# Classes

class HTML a

class ADDATTRS a

# Primitives and basic combinators

(<<)

concatHtml

(+++)

noHtml

isNoHtml

tag

itag

emptyAttr

intAttr

strAttr

htmlAttr

primHtml

# Rendering

showHtml

renderHtml

prettyHtml

showHtmlFragment

renderHtmlFragment

prettyHtmlFragment

# Elements in XHTML Strict

abbr

acronym

address

anchor

area

bdo

big

blockquote

body

bold

br

button

caption

cite

col

colgroup

del

ddef

define

dlist

dterm

emphasize

fieldset

form

h1

h2

h3

h4

h5

h6

header

hr

image

input

ins

italics

keyboard

label

legend

li

meta

noscript

object

olist

optgroup

option

paragraph

param

pre

quote

sample

script

select

small

strong

style

sub

sup

table

tbody

td

textarea

tfoot

th

thead

thebase

thecode

thediv

thehtml

thelink

themap

thespan

thetitle

tr

tt

ulist

variable

# Extra elements in XHTML Frameset

frame

frameset

noframes

# Extra elements in XHTML Transitional

applet

basefont

center

dir

font

iframe

isindex

themenu

strike

underline

# Attributes in XHTML Strict

action

align

alt

altcode

archive

base

border

bordercolor

cellpadding

cellspacing

checked

codebase

cols

colspan

content

coords

disabled

enctype

height

href

hreflang

httpequiv

identifier

ismap

lang

maxlength

method

multiple

name

nohref

rel

rev

rows

rowspan

rules

selected

shape

size

src

theclass

thefor

thestyle

thetype

title

usemap

valign

value

width

# Extra attributes in XHTML Frameset

frameborder

marginheight

marginwidth

noresize

scrolling

# Extra attributes in XHTML Transitional

alink

background

bgcolor

clear

code

color

compact

face

hspace

link

noshade

nowrap

start

target

text

version

vlink

vspace

# Html colors

aqua

black

blue

fuchsia

gray

green

lime

maroon

navy

olive

purple

red

silver

teal

yellow

white

# Converting strings to HTML

stringToHtml

lineToHtml

linesToHtml

# Html abbreviations

primHtmlChar

copyright

spaceHtml

bullet

p

# Hotlinks

type URL

data HotLink

hotlink

# Lists

ordList

unordList

defList

# Forms

widget

checkbox

hidden

radio

reset

submit

password

textfield

afile

clickmap

menu

gui